Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network25.167.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
25.167.32.0
Broadcast address
25.167.63.255
First usable
25.167.32.1
Last usable
25.167.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 19A72000 · Integer 430383104 to 430391295
Reverse DNS zones
32.167.25.in-addr.arpa
33.167.25.in-addr.arpa
34.167.25.in-addr.arpa
35.167.25.in-addr.arpa
36.167.25.in-addr.arpa
37.167.25.in-addr.arpa
38.167.25.in-addr.arpa
39.167.25.in-addr.arpa
40.167.25.in-addr.arpa
41.167.25.in-addr.arpa
42.167.25.in-addr.arpa
43.167.25.in-addr.arpa
44.167.25.in-addr.arpa
45.167.25.in-addr.arpa
46.167.25.in-addr.arpa
47.167.25.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011001.10100111.00100000.0000000025.167.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011001.10100111.00100000.0000000025.167.32.0
Broadcast00011001.10100111.00111111.1111111125.167.63.255
Split into smaller subnets/26

25.167.32.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
125.167.32.0/2625.167.32.1 to 25.167.32.6225.167.32.6362
225.167.32.64/2625.167.32.65 to 25.167.32.12625.167.32.12762
325.167.32.128/2625.167.32.129 to 25.167.32.19025.167.32.19162
425.167.32.192/2625.167.32.193 to 25.167.32.25425.167.32.25562
525.167.33.0/2625.167.33.1 to 25.167.33.6225.167.33.6362
625.167.33.64/2625.167.33.65 to 25.167.33.12625.167.33.12762
725.167.33.128/2625.167.33.129 to 25.167.33.19025.167.33.19162
825.167.33.192/2625.167.33.193 to 25.167.33.25425.167.33.25562
925.167.34.0/2625.167.34.1 to 25.167.34.6225.167.34.6362
1025.167.34.64/2625.167.34.65 to 25.167.34.12625.167.34.12762
1125.167.34.128/2625.167.34.129 to 25.167.34.19025.167.34.19162
1225.167.34.192/2625.167.34.193 to 25.167.34.25425.167.34.25562
1325.167.35.0/2625.167.35.1 to 25.167.35.6225.167.35.6362
1425.167.35.64/2625.167.35.65 to 25.167.35.12625.167.35.12762
1525.167.35.128/2625.167.35.129 to 25.167.35.19025.167.35.19162
1625.167.35.192/2625.167.35.193 to 25.167.35.25425.167.35.25562
1725.167.36.0/2625.167.36.1 to 25.167.36.6225.167.36.6362
1825.167.36.64/2625.167.36.65 to 25.167.36.12625.167.36.12762
1925.167.36.128/2625.167.36.129 to 25.167.36.19025.167.36.19162
2025.167.36.192/2625.167.36.193 to 25.167.36.25425.167.36.25562
2125.167.37.0/2625.167.37.1 to 25.167.37.6225.167.37.6362
2225.167.37.64/2625.167.37.65 to 25.167.37.12625.167.37.12762
2325.167.37.128/2625.167.37.129 to 25.167.37.19025.167.37.19162
2425.167.37.192/2625.167.37.193 to 25.167.37.25425.167.37.25562
2525.167.38.0/2625.167.38.1 to 25.167.38.6225.167.38.6362
2625.167.38.64/2625.167.38.65 to 25.167.38.12625.167.38.12762
2725.167.38.128/2625.167.38.129 to 25.167.38.19025.167.38.19162
2825.167.38.192/2625.167.38.193 to 25.167.38.25425.167.38.25562
2925.167.39.0/2625.167.39.1 to 25.167.39.6225.167.39.6362
3025.167.39.64/2625.167.39.65 to 25.167.39.12625.167.39.12762
3125.167.39.128/2625.167.39.129 to 25.167.39.19025.167.39.19162
3225.167.39.192/2625.167.39.193 to 25.167.39.25425.167.39.25562
3325.167.40.0/2625.167.40.1 to 25.167.40.6225.167.40.6362
3425.167.40.64/2625.167.40.65 to 25.167.40.12625.167.40.12762
3525.167.40.128/2625.167.40.129 to 25.167.40.19025.167.40.19162
3625.167.40.192/2625.167.40.193 to 25.167.40.25425.167.40.25562
3725.167.41.0/2625.167.41.1 to 25.167.41.6225.167.41.6362
3825.167.41.64/2625.167.41.65 to 25.167.41.12625.167.41.12762
3925.167.41.128/2625.167.41.129 to 25.167.41.19025.167.41.19162
4025.167.41.192/2625.167.41.193 to 25.167.41.25425.167.41.25562
4125.167.42.0/2625.167.42.1 to 25.167.42.6225.167.42.6362
4225.167.42.64/2625.167.42.65 to 25.167.42.12625.167.42.12762
4325.167.42.128/2625.167.42.129 to 25.167.42.19025.167.42.19162
4425.167.42.192/2625.167.42.193 to 25.167.42.25425.167.42.25562
4525.167.43.0/2625.167.43.1 to 25.167.43.6225.167.43.6362
4625.167.43.64/2625.167.43.65 to 25.167.43.12625.167.43.12762
4725.167.43.128/2625.167.43.129 to 25.167.43.19025.167.43.19162
4825.167.43.192/2625.167.43.193 to 25.167.43.25425.167.43.25562
4925.167.44.0/2625.167.44.1 to 25.167.44.6225.167.44.6362
5025.167.44.64/2625.167.44.65 to 25.167.44.12625.167.44.12762
5125.167.44.128/2625.167.44.129 to 25.167.44.19025.167.44.19162
5225.167.44.192/2625.167.44.193 to 25.167.44.25425.167.44.25562
5325.167.45.0/2625.167.45.1 to 25.167.45.6225.167.45.6362
5425.167.45.64/2625.167.45.65 to 25.167.45.12625.167.45.12762
5525.167.45.128/2625.167.45.129 to 25.167.45.19025.167.45.19162
5625.167.45.192/2625.167.45.193 to 25.167.45.25425.167.45.25562
5725.167.46.0/2625.167.46.1 to 25.167.46.6225.167.46.6362
5825.167.46.64/2625.167.46.65 to 25.167.46.12625.167.46.12762
5925.167.46.128/2625.167.46.129 to 25.167.46.19025.167.46.19162
6025.167.46.192/2625.167.46.193 to 25.167.46.25425.167.46.25562
6125.167.47.0/2625.167.47.1 to 25.167.47.6225.167.47.6362
6225.167.47.64/2625.167.47.65 to 25.167.47.12625.167.47.12762
6325.167.47.128/2625.167.47.129 to 25.167.47.19025.167.47.19162
6425.167.47.192/2625.167.47.193 to 25.167.47.25425.167.47.25562
6525.167.48.0/2625.167.48.1 to 25.167.48.6225.167.48.6362
6625.167.48.64/2625.167.48.65 to 25.167.48.12625.167.48.12762
6725.167.48.128/2625.167.48.129 to 25.167.48.19025.167.48.19162
6825.167.48.192/2625.167.48.193 to 25.167.48.25425.167.48.25562
6925.167.49.0/2625.167.49.1 to 25.167.49.6225.167.49.6362
7025.167.49.64/2625.167.49.65 to 25.167.49.12625.167.49.12762
7125.167.49.128/2625.167.49.129 to 25.167.49.19025.167.49.19162
7225.167.49.192/2625.167.49.193 to 25.167.49.25425.167.49.25562
7325.167.50.0/2625.167.50.1 to 25.167.50.6225.167.50.6362
7425.167.50.64/2625.167.50.65 to 25.167.50.12625.167.50.12762
7525.167.50.128/2625.167.50.129 to 25.167.50.19025.167.50.19162
7625.167.50.192/2625.167.50.193 to 25.167.50.25425.167.50.25562
7725.167.51.0/2625.167.51.1 to 25.167.51.6225.167.51.6362
7825.167.51.64/2625.167.51.65 to 25.167.51.12625.167.51.12762
7925.167.51.128/2625.167.51.129 to 25.167.51.19025.167.51.19162
8025.167.51.192/2625.167.51.193 to 25.167.51.25425.167.51.25562
8125.167.52.0/2625.167.52.1 to 25.167.52.6225.167.52.6362
8225.167.52.64/2625.167.52.65 to 25.167.52.12625.167.52.12762
8325.167.52.128/2625.167.52.129 to 25.167.52.19025.167.52.19162
8425.167.52.192/2625.167.52.193 to 25.167.52.25425.167.52.25562
8525.167.53.0/2625.167.53.1 to 25.167.53.6225.167.53.6362
8625.167.53.64/2625.167.53.65 to 25.167.53.12625.167.53.12762
8725.167.53.128/2625.167.53.129 to 25.167.53.19025.167.53.19162
8825.167.53.192/2625.167.53.193 to 25.167.53.25425.167.53.25562
8925.167.54.0/2625.167.54.1 to 25.167.54.6225.167.54.6362
9025.167.54.64/2625.167.54.65 to 25.167.54.12625.167.54.12762
9125.167.54.128/2625.167.54.129 to 25.167.54.19025.167.54.19162
9225.167.54.192/2625.167.54.193 to 25.167.54.25425.167.54.25562
9325.167.55.0/2625.167.55.1 to 25.167.55.6225.167.55.6362
9425.167.55.64/2625.167.55.65 to 25.167.55.12625.167.55.12762
9525.167.55.128/2625.167.55.129 to 25.167.55.19025.167.55.19162
9625.167.55.192/2625.167.55.193 to 25.167.55.25425.167.55.25562
9725.167.56.0/2625.167.56.1 to 25.167.56.6225.167.56.6362
9825.167.56.64/2625.167.56.65 to 25.167.56.12625.167.56.12762
9925.167.56.128/2625.167.56.129 to 25.167.56.19025.167.56.19162
10025.167.56.192/2625.167.56.193 to 25.167.56.25425.167.56.25562
10125.167.57.0/2625.167.57.1 to 25.167.57.6225.167.57.6362
10225.167.57.64/2625.167.57.65 to 25.167.57.12625.167.57.12762
10325.167.57.128/2625.167.57.129 to 25.167.57.19025.167.57.19162
10425.167.57.192/2625.167.57.193 to 25.167.57.25425.167.57.25562
10525.167.58.0/2625.167.58.1 to 25.167.58.6225.167.58.6362
10625.167.58.64/2625.167.58.65 to 25.167.58.12625.167.58.12762
10725.167.58.128/2625.167.58.129 to 25.167.58.19025.167.58.19162
10825.167.58.192/2625.167.58.193 to 25.167.58.25425.167.58.25562
10925.167.59.0/2625.167.59.1 to 25.167.59.6225.167.59.6362
11025.167.59.64/2625.167.59.65 to 25.167.59.12625.167.59.12762
11125.167.59.128/2625.167.59.129 to 25.167.59.19025.167.59.19162
11225.167.59.192/2625.167.59.193 to 25.167.59.25425.167.59.25562
11325.167.60.0/2625.167.60.1 to 25.167.60.6225.167.60.6362
11425.167.60.64/2625.167.60.65 to 25.167.60.12625.167.60.12762
11525.167.60.128/2625.167.60.129 to 25.167.60.19025.167.60.19162
11625.167.60.192/2625.167.60.193 to 25.167.60.25425.167.60.25562
11725.167.61.0/2625.167.61.1 to 25.167.61.6225.167.61.6362
11825.167.61.64/2625.167.61.65 to 25.167.61.12625.167.61.12762
11925.167.61.128/2625.167.61.129 to 25.167.61.19025.167.61.19162
12025.167.61.192/2625.167.61.193 to 25.167.61.25425.167.61.25562
12125.167.62.0/2625.167.62.1 to 25.167.62.6225.167.62.6362
12225.167.62.64/2625.167.62.65 to 25.167.62.12625.167.62.12762
12325.167.62.128/2625.167.62.129 to 25.167.62.19025.167.62.19162
12425.167.62.192/2625.167.62.193 to 25.167.62.25425.167.62.25562
12525.167.63.0/2625.167.63.1 to 25.167.63.6225.167.63.6362
12625.167.63.64/2625.167.63.65 to 25.167.63.12625.167.63.12762
12725.167.63.128/2625.167.63.129 to 25.167.63.19025.167.63.19162
12825.167.63.192/2625.167.63.193 to 25.167.63.25425.167.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses